# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fsr2-sys"
version = "0.1.4"
authors = ["NotAPenguin"]
description = "Unsafe FFI bindings for AMD's FidelityFX Super Resolution 2 library (FSR2)"
homepage = "https://github.com/NotAPenguin0/fsr2-rs"
readme = "README.md"
keywords = [
    "ffi",
    "fsr2",
    "graphics",
]
categories = ["external-ffi-bindings"]
license = "MIT/Apache-2.0"
repository = "https://github.com/NotAPenguin0/fsr2-rs"
resolver = "1"

[dependencies.bitflags]
version = "2.3.1"

[dependencies.widestring]
version = "1.0.2"

[build-dependencies.anyhow]
version = "1.0.70"

[build-dependencies.fs_extra]
version = "1.3.0"

[features]
default = ["vk"]
dx12 = []
vk = []
